import { Component, OnInit, Input, Output, EventEmitter, AfterViewInit } from '@angular/core';

@Component({
  selector: 'neu-radio-button',
  templateUrl: './neu-radio-button.component.html',
  styleUrls: ['./neu-radio-button.component.css']
})
export class NeuRadioButtonComponent implements AfterViewInit {

  active:boolean = false;
  @Input("value") value:any;
  @Output("selected") selected:EventEmitter<any> = new EventEmitter();

  constructor() { }

  ngAfterViewInit() {
  }

  onClick() {
    this.selected.emit({
      value: this.value
    });
  }

}
